System.Web 2.0.0.0 System.Configuration.ConfigurationElementCollection System.Configuration.ConfigurationCollection(typeof(System.Web.Configuration.TagMapInfo), CollectionType=System.Configuration.ConfigurationElementCollectionType.AddRemoveClearMap)

The class allows you to remap the types of tags at compile time. This remapping causes the mapped type to be used in place of the original tag type for all pages and controls in the ASP.NET application in the scope of the configuration file.

The class allows you to programmatically access and modify the tagMapping subsection of the pages section of a configuration file. Within the tagMapping subsection, you can add and remove mappings between tag types by specifying the fully qualified strong names of the types.

Unlike other attributes and collections in the pages section, tag remapping has no matching ASP.NET page directive.

Contains a collection of objects.

- Constructor

  The property of the class always contains an instance of the type. Use this instance, rather than creating your own.

  Initializes a new instance of the class.

  2.0.0.0
- Method
  System.Void ``

  The collection must not already contain a object with the same property value. If it does, a will be thrown.

  Adds a object to the collection.

  A object to add to the collection. 2.0.0.0
- Method
  System.Void To be added.

  Clears all object from the collection.

  2.0.0.0
- Method
  System.Configuration.ConfigurationElement To be added. To be added. To be added. 2.0.0.0
- Method
  System.Object `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Web.Configuration.TagMapInfo `` To be added. To be added. To be added. To be added. 2.0.0.0
- Property
  System.Configuration.ConfigurationPropertyCollection To be added. To be added. To be added. 2.0.0.0
- Method
  System.Void `` To be added.

  Removes the specified object from the collection.

  A object in the collection. 2.0.0.0